Bug 961289 - Forgets passwords and has to ask again each login
Forgets passwords and has to ask again each login
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 07:06 EDT by Tim Waugh
Modified: 2013-06-03 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 11:40:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2013-05-09 07:06:39 EDT
Description of problem:
When I log in, often the first thing I see is a prompt to enter the passwords for various calendars configured in Evolution.  This happens even though I have previously entered them with the 'remember it' tickbox checked.

When I start Evolution, I am asked for my mail password -- again, this happens even though I have previously entered it with the 'remember it' tickbox checked.

Seahorse shows that these passwords have been stored, under names like 'Evolution Data Source .....@....'.

Version-Release number of selected component (if applicable):
evolution-3.8.1-1.fc19.x86_64

How reproducible:
Happens often.
Comment 1 Milan Crha 2013-05-10 03:59:44 EDT
Thanks for a bug report. It can be because gcr doesn't unlock the keyring, thus evolution cannot get to it. On Fedora 18 it's about bug #953641, but I didn't see exactly this on fedora 19. Could you try to run evolution-source-registry with gcr debugging on, thus it'll show what it tries to do, please? I'm afraid that restarting it from scratch will be different than let the source registry run by the D-Bus daemon, thus rather doing so by replacing the binary temporarily (at least until the next update of evolution-data-server package). You can do this this way:
  a) $ mv /usr/libexec/evolution-source-registry /usr/libexec/evolution-source-registry.orig
  b) create a new file:
     /usr/libexec/evolution-source-registry
     with content:
     #!/bin/bash
     GCR_DEBUG=all /usr/libexec/evolution-source-registry.orig &>/tmp/esr-`date +%Y%m%d-%H%M%S`-log.txt

    mark the file to read+execute for everyone.

  c) restart the machine.

After restart the /tmp folder should contain the log file (if the source registry runs automaticly, which it should either due to evolution-alarm-notify or by gnome-shell's calendar server.
Comment 2 Tim Waugh 2013-06-03 07:41:12 EDT
I haven't seen this in quite a while now. Maybe it's fixed?
Comment 3 Milan Crha 2013-06-03 11:40:54 EDT
I would guess it's related to gcr and libsecret. I didn't see this myself for some time too, and in time when I did it was after restart of all evolution processes. My guess is that the connection to libsecret provider/backend failed for some reason, thus password read failed. In any case, if you cannot reproduce, then even better, let's close this and reopen, if you'll see it again.

Note You need to log in before you can comment on or make changes to this bug.